Bug 264 - [UPDATE REQUEST] KDE 4.8.3
: [UPDATE REQUEST] KDE 4.8.3
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal enhancement
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on: 303
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 15:02 MSD by Alexander Burmashev
Modified: 2012-06-19 21:49 MSD (History)
6 users (show)

See Also:
RPM Package: kde 4.8.3
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
dmitry.romashkin: secteam_verified+
alex.burmashev: published+


Attachments
installation bug (131.87 KB, image/png)
2012-05-26 16:04 MSD, Vladimir Potapov
Details
Another install bug (130.74 KB, image/png)
2012-05-26 17:01 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2012-05-22 15:02:52 MSD
This release adds many bugfixes in the Dolphin file manager, KMail email client, Konqueror Web browser, Konsole terminal emulator, KWin window manager, and KDE libraries, and a couple of bugfixes in other applications. Overall stability and quality should be improved.
Comment 1 Alexander Burmashev 2012-05-22 15:04:32 MSD
Advisory: This release adds many bugfixes in the Dolphin file manager, KMail email client, Konqueror Web browser, Konsole terminal emulator, KWin window manager, and KDE libraries, and a couple of bugfixes in other applications. Overall stability and quality should be improved.

i586
http://abf.rosalinux.ru/downloads/tigro_personal/repository/rosa2012lts/i586/main/release/
x86_64
http://abf.rosalinux.ru/downloads/tigro_personal/repository/rosa2012lts/x86_64/main/release/


#########random build list, do not look at it################
https://abf.rosalinux.ru/build_lists/552470
#########random build list, do not look at it################
Comment 2 Dmitry Romashkin 2012-05-24 13:52:47 MSD
Checked.
Comment 3 Vladimir Potapov 2012-05-26 16:04:32 MSD
Created attachment 193 [details]
installation bug
Comment 4 Alexander Burmashev 2012-05-26 16:09:55 MSD
what error is shown when installing via urpmi ?
Comment 5 Vladimir Potapov 2012-05-26 17:01:14 MSD
Created attachment 194 [details]
Another install bug
Comment 6 Vladimir Potapov 2012-05-26 17:03:21 MSD
4.8.2?

gwenview-4.8.2-2-rosa.lts2012.0.x86_64.rpm 
gwenview-debug-4.8.2-2-rosa.lts2012.0.x86_64.rpm 
gwenview-devel-4.8.2-2-rosa.lts2012.0.x86_64.rpm 
kamera-4.8.2-1-rosa.lts2012.0.x86_64.rpm   
kamera-debug-4.8.2-1-rosa.lts2012.0.x86_64.rpm
kmplot-4.8.2-1-rosa.lts2012.0.x86_64.rpm   
kmplot-debug-4.8.2-1-rosa.lts2012.0.x86_64.rpm
Comment 7 Denis Koryavov 2012-05-26 17:24:00 MSD
I looked at KDE 4.8.3 and it works perfectly, but it has some regressions from localization side. I suggest to not update KDE before localization team will check it from this side.
Comment 8 Alexander Burmashev 2012-05-26 17:25:41 MSD
By the way i found some 4.8.2 packages in 4.8.3 folder and i am fixing it now.
If there are also some localization issues i would suggest postponinig the update until it is fixed, so people will not have to download a huge amount of data twice in a short period.
Comment 9 Denis Koryavov 2012-05-26 17:39:06 MSD
OK, after you will fix it, please write here and we will ask localization team to check. Maybe is better way to add flag 'ln_verified' for such updates?
Comment 10 Alexander Burmashev 2012-05-26 18:17:20 MSD
all packages should be 4.8.3 now. fixed it.
Comment 11 Denis Koryavov 2012-05-26 19:39:00 MSD
As far as I can see, the kde-l10n-ru-4.8.2-translations.patch was dropped for KDE4.8.3. It is the root of the problem with localization regressions. Michael, can you fix this patch and apply it again?
Comment 12 Denis Koryavov 2012-05-31 14:51:00 MSD
I've tested kde-l10n-ru-4.8.3-2-rosa.lts2012.0.noarch and do not see localization regressions. So, thus issue is fixed.
Comment 13 Mikhail Kompaniets 2012-06-01 02:30:08 MSD
I think there should be issues in kdepim* translations. I'll check this.
Comment 14 Denis Koryavov 2012-06-05 17:53:21 MSD
Up? Passed 2 weeks!
Comment 15 Alexander Petryakov 2012-06-06 10:29:49 MSD
Is package ready to the re-test?
Comment 16 Denis Koryavov 2012-06-06 11:19:32 MSD
Yes! They were ready long time ago (see comment #10).
Comment 17 Pavel Shved 2012-06-06 11:58:53 MSD
I fixed flags to make the state of this bug look as "pending QA approval".
Comment 18 Alexander Burmashev 2012-06-08 16:36:54 MSD
4.8.3 was moved to new folder
http://abf.rosalinux.ru/downloads/tigro_personal/repository/rosa2012lts.bak/
Comment 19 Alexander Petryakov 2012-06-09 02:13:23 MSD
kde 4.8.3
************** Advisory **************
This release adds many bugfixes in the Dolphin file manager, KMail email client, Konqueror Web browser, Konsole terminal emulator, KWin window manager, and KDE libraries, and a couple of bugfixes in other applications. Overall stability and quality should be improved.
**************************************
QA Verified
Comment 20 Pavel Shved 2012-06-19 21:49:08 MSD
Massively change status of published updates.  From now on, the status for published update requests will be VERIFIED.